Bug 168819 - File conflicts between 32bit and 64bit packages
File conflicts between 32bit and 64bit packages
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: unixODBC (Show other bugs)
rawhide
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Tom Lane
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-20 11:00 EDT by Phil Knirsch
Modified: 2015-03-04 20:15 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-24 13:02:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Phil Knirsch 2005-09-20 11:00:45 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050818 Fedora/1.1-0.2.7.deerpark.alpha2.1 Firefox/1.0+

Description of problem:
File conflicts exists between the installed 32bit and 64bit packages:

Error: unixODBC-2.2.11-1.i386 file conflicts with:
Error:  '/usr/share/doc/unixODBC-2.2.11/doc/ProgrammerManual/Tutorial/Makefile' <=> unixODBC-2.2.11-1.x86_64
Error:  '/usr/share/doc/unixODBC-2.2.11/doc/UserManual/Makefile' <=> unixODBC-2.2.11-1.x86_64
Error:  '/usr/share/doc/unixODBC-2.2.11/doc/lst/Makefile' <=> unixODBC-2.2.11-1.x86_64
Error:  '/usr/share/doc/unixODBC-2.2.11/doc/Makefile' <=> unixODBC-2.2.11-1.x86_64
Error:  '/usr/share/doc/unixODBC-2.2.11/doc/AdministratorManual/Makefile' <=> unixODBC-2.2.11-1.x86_64
Error:  '/usr/share/doc/unixODBC-2.2.11/doc/ProgrammerManual/Makefile' <=> unixODBC-2.2.11-1.x86_64


Version-Release number of selected component (if applicable):
unixODBC-2.2.11-1

How reproducible:
Always

Steps to Reproduce:
1. Use a file conflict enabled rpm to install both 32bit and 64bit versions of this package
2.
3.
  

Actual Results:  See listed file conflicts in description


Expected Results:  No file conflicts


Additional info:
Comment 1 Tom Lane 2005-09-21 17:31:12 EDT
Hm, those Makefiles shouldn't even be in the package, should they?  Will fix.
Comment 2 Tom Lane 2005-09-24 13:02:43 EDT
Fixed in unixODBC-2.2.11-2.

Note You need to log in before you can comment on or make changes to this bug.